<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="styleExo3.css"/>
    <title>Exo3</title>
</head>
<body>
    <div id="container"></div>

    <script>

        const box = document.createElement("div");
        box.classList.add("box");

        const container = document.querySelector("#container");
        let casActuel = 1;
        let tour = "X";

        function changeTour() {
            if (tour === "X") {
                tour = "O";
            } else {
                tour = "X";
            }
            return tour;}

        for (let i = 0; i < 9; i++) {

            const newBox = box.cloneNode();
            container.appendChild(newBox);
            newBox.innerText = i + 1;

            newBox.addEventListener("click", function() {
            if (casActuel > 9) {
                alert("Fin du jeu");
            return;
        }

            if (newBox.innerText === "X" || newBox.innerText === "O") {
            alert("Case déjà prise");
        return;
        }

            newBox.innerText = tour;
            tour = changeTour();
            casActuel++;
        });

    }




        

    </script>
</body>
</html>